@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap');


.navbar-nav .nav-item:hover .nav-link,
.navbar-nav .nav-item.active .nav-link,
.navbar-nav .nav-link:hover {
    font-weight: bold;
    color: #fff;
}

.img-format {
    aspect-ratio: 1 / 1;
    height: 650px;
    object-fit: cover;
}

.popup {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    z-index: 9999;
}

/* Estilo para el pop-up de éxito */
#popupSuccess {
    background-color: #4CAF50; /* Color verde */
    color: white; /* Texto blanco */
    padding: 20px;
    border-radius: 5px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9999;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

/* Estilo para el pop-up de error */
#popupError {
    background-color: #f44336; /* Color rojo */
    color: white; /* Texto blanco */
    padding: 20px;
    border-radius: 5px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9999;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

/* Estilo para el botón de cierre (X) */
.btn-close {
    position: absolute;
    top: 10px;
    right: 10px;
    background-color: transparent;
    color: white;
    border: none;
    cursor: pointer;
}

.carousel-caption {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.text-carousel{
    color: #fff;
    font-family: "Oswald", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 50px;
    text-shadow: 5px 5px 5px rgba(0, 0, 0, 0.8);
}

.btn-custom {
    --bs-btn-color: #fff;
    --bs-btn-bg: #34414f; 
    --bs-btn-border-color: #34414f; 
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #1d2833; 
    --bs-btn-hover-border-color: #1d2833;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #1d2833;
    --bs-btn-active-border-color: #1d2833;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #34414f;
    --bs-btn-disabled-border-color: #34414f;
}

.custom-carousel-control {
    color: #fff;
    font-size: 6em; 
}

.carousel-control-prev,
.carousel-control-next {
    opacity: 0.7 !important; 
    text-shadow: 5px 5px 5px rgba(0, 0, 0, 0.8);
    &:hover{
        opacity: 1 !important;    
    }
}

.txt-buscador{
  font-family: "Oswald", sans-serif;
  color: #1d2833;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  font-size: 50px;
}

.txt-buscador2{
    font-family: "Oswald", sans-serif;
    color: #1d2833;
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
    font-size: 30px;
}

.txt-buscador3{
    font-family: "Oswald", sans-serif;
    color: #1d2833;
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
    font-size: 20px;
}

.btn-buscador {
    --bs-btn-color: #fff; 
    --bs-btn-bg: #34414f; 
    --bs-btn-border-color: #fff; 
    --bs-btn-hover-color: #000; 
    --bs-btn-hover-bg: #baa360; 
    --bs-btn-hover-border-color: #baa360; 
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #1d2883;
    --bs-btn-active-border-color: #1d2833;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #34414f;
    --bs-btn-disabled-border-color: #34414f;
}

.card {
    z-index: 2; 
  }
  
.card:hover .seleccion::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); 
    z-index: 0; 
    transition: opacity 2s ease-in-out;
}

.svg-container {
    display: none; 
    position: absolute;
    top: 30%; 
    left: 50%; 
    transform: translate(-50%, -50%);
    z-index: 1;
}

.card:hover .svg-container {
    display: block; 
}

.precio{
    background-color: #fff;
}

.card:hover .precio{
    background-color: black;
    color: white;
}

.carousel-inner .carousel-item .img-propiedad {
    object-fit: cover; 
    width: 100%; 
    height: 600px;
}

.icon-propiedad i{
    font-size: 30px;
}

.img-user img.rounded-circle {
    width: 150px;
    height: auto;
    object-fit: cover;
}

.img-prev {
    object-fit: cover; 
    width: 100%; 
    height: 300px; 
    display: block; 
    margin: 0 auto; 
}

.img-prev-mod {
    object-fit: cover; /* Hace que la imagen cubra todo el contenedor */
    width: 100%; /* Ancho al 100% del contenedor */
    height: 350px; /* Altura máxima de la imagen */
}

.img-prev-mod2 {
    object-fit: cover; /* Hace que la imagen cubra todo el contenedor */
    width: 70%; /* Ancho al 100% del contenedor */
    height: 390px; /* Altura máxima de la imagen */
}




@media (max-width: 767px) {
    .img-format {
        height: 500px;
    }
    .txt-buscador{
        font-size: 25px;
        text-align: center;
    }
    .txt-buscador2{
        font-size: 15px;
        text-align: center;
    }
    .carousel-inner .carousel-item .img-propiedad { 
        height: 300px;
    }
    .img-user img.rounded-circle {
        width: 100px;
    }
    .img-prev-mod{
        height: 150px;
    }
    .img-prev-mod2{
        width: 100%;
        height: 150px;
    }
    .p-eliminar{
        font-size: 14px;
    }
}
